Name:		dejagnu
Epoch:		20010912
Version:	1.6.2
Release:	%mkrel 2
Summary:	A front end for testing other programs
License:	GPLv2+
Group:		Development/Other
URL:		http://www.gnu.org/software/dejagnu/
Source0:	ftp://ftp.gnu.org/gnu/dejagnu/%{name}-%{version}.tar.gz
Patch1:		dejagnu-1.5-runtest.patch
BuildArch:	noarch
BuildRequires:	docbook-utils
BuildRequires:	docbook-utils-pdf
BuildRequires:	docbook-dtd31-sgml
# in contrib, but likely not needed anyways even if configure checks for it..
#BuildRequires:	docbook2x
BuildRequires:	expect
BuildRequires:	screen
BuildRequires:	texinfo
Requires:	common-licenses
Requires:	tcl >= 8.0
Requires:	expect >= 5.21

%description
DejaGnu is an Expect/Tcl based framework for testing other programs.
DejaGnu has several purposes: to make it easy to write tests for any
program; to allow you to write tests which will be portable to any
host or target where a program must be tested; and to standardize the
output format of all tests (making it easier to integrate the testing
into software development).

%prep
%setup -q
%autopatch -p1

%build
%configure

%install
%make_install

%check
echo ============TESTING===============
# Dejagnu test suite also has to test reporting to user.  It needs a
# terminal for that.  That doesn't compute in mock.  Work around it by
# running the test under screen and communicating back to test runner
# via temporary file.  If you have better idea, we accept patches.
TMP=`mktemp`
export SCREENDIR=`mktemp -d`
screen -D -m sh -c '(make check RUNTESTFLAGS="RUNTEST=`pwd`/runtest"; echo $?) >> '$TMP
RESULT=`tail -n 1 $TMP`
cat $TMP
rm -f $TMP
rm -rf $SCREENDIR
echo ============END TESTING===========
exit $RESULT

%files
%doc AUTHORS NEWS README TODO
%dir %{_datadir}/dejagnu
%{_datadir}/dejagnu/*
%{_bindir}/runtest
%{_mandir}/man1/runtest.1*
%{_infodir}/dejagnu.info*
%{_includedir}/dejagnu.h




%changelog
* Fri Feb 14 2020 umeabot <umeabot> 20010912:1.6.2-2.mga8
+ Revision: 1520539
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Wed Nov 28 2018 daviddavid <daviddavid> 20010912:1.6.2-1.mga7
+ Revision: 1336528
- new version: 1.6.2

* Thu Sep 20 2018 umeabot <umeabot> 20010912:1.6-3.mga7
+ Revision: 1277875
- Mageia 7 Mass Rebuild

* Mon Sep 03 2018 tv <tv> 20010912:1.6-2.mga7
+ Revision: 1256618
- rely on filetriggers for info system (mga#23482)

* Sat May 28 2016 yuri_myasoedov <yuri_myasoedov> 20010912:1.6-1.mga6
+ Revision: 1019088
- update to version 1.6.

* Thu Feb 18 2016 umeabot <umeabot> 20010912:1.5.3-2.mga6
+ Revision: 965812
- Mageia 6 Mass Rebuild

* Sun Jun 21 2015 shlomif <shlomif> 20010912:1.5.3-1.mga6
+ Revision: 837981
- New version 1.5.3

* Wed Oct 15 2014 umeabot <umeabot> 20010912:1.5.1-4.mga5
+ Revision: 742746
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 20010912:1.5.1-3.mga5
+ Revision: 678708
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 20010912:1.5.1-2.mga4
+ Revision: 523732
- Mageia 4 Mass Rebuild

* Fri May 24 2013 shlomif <shlomif> 20010912:1.5.1-1.mga4
+ Revision: 426527
- New version 1.5.1

* Fri Jan 11 2013 umeabot <umeabot> 20010912:1.5-3.mga3
+ Revision: 348719
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Sep 04 2012 guillomovitch <guillomovitch> 20010912:1.5-2.mga3
+ Revision: 288167
- add fedora patch for usrmove

* Fri Sep 09 2011 tv <tv> 20010912:1.5-1.mga2
+ Revision: 141782
- new release
- simplify

* Tue Jan 11 2011 pterjan <pterjan> 20010912:1.4.4-12.mga1
+ Revision: 6190
- imported package dejagnu


* Thu Dec 02 2010 Oden Eriksson <oeriksson@mandriva.com> 20010912:1.4.4-12mdv2011.0
+ Revision: 604782
- rebuild

* Tue Mar 16 2010 Oden Eriksson <oeriksson@mandriva.com> 20010912:1.4.4-11mdv2010.1
+ Revision: 522427
- rebuilt for 2010.1

  + Sandro Cazzaniga <kharec@mandriva.org>
    - fix licence

* Mon Oct 05 2009 Funda Wang <fwang@mandriva.org> 20010912:1.4.4-10mdv2010.0
+ Revision: 453833
- fix build and test

  + Christophe Fergeau <cfergeau@mandriva.com>
    - rebuild

  + Oden Eriksson <oeriksson@mandriva.com>
    - rebuild

* Wed Dec 24 2008 Per Øyvind Karlsen <peroyvind@mandriva.org> 20010912:1.4.4-8mdv2009.1
+ Revision: 318146
- merge in fedora patches

* Mon Jun 16 2008 Thierry Vignaud <tv@mandriva.org> 20010912:1.4.4-7mdv2009.0
+ Revision: 220578
- rebuild

* Fri Jan 11 2008 Thierry Vignaud <tv@mandriva.org> 20010912:1.4.4-6mdv2008.1
+ Revision: 149167
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Guillaume Rousse <guillomovitch@mandriva.org>
    - rebuild

* Fri Aug 24 2007 David Walluck <walluck@mandriva.org> 20010912:1.4.4-4mdv2008.0
+ Revision: 70758
- fix install-info Requires

* Thu Aug 23 2007 Thierry Vignaud <tv@mandriva.org> 20010912:1.4.4-3mdv2008.0
+ Revision: 70183
- convert prereq


* Thu Jan 25 2007 Lenny Cartier <lenny@mandriva.com> 1.4.4-2mdv2007.0
+ Revision: 113318
- Rebuild
- Import dejagnu

* Thu Jan 06 2005 Lenny Cartier <lenny@mandrakesoft.com> 1.4.4-1mdk
- 1.4.4
- keep 2.0.3 bluegnu files

